Page MenuHomePhabricator

Build Phabricator in Harbormaster (v2)
Closed, ResolvedPublic

Subscribers
Tokens
"Yellow Medal" token, awarded by thoughtpolice."Mountain of Wealth" token, awarded by eklitzke."The World Burns" token, awarded by joshuaspence.
Assigned To
Authored By
epriestley, Aug 10 2015

Description

Harbormaster is unprototyped, but currently not powerful enough to build Phabricator itself. In the next iteration, I want to add build platform features so the upstream builds can execute on Harbormaster.

In particular, this means:

  • Running arc lint and arc unit on a Drydock host.
  • Executing builds for both revisions and commits.
  • Easily uploading lint/unit results to Harbormaster, likely via new --target flags.
  • (T2543) We should also get --draft / --try built here.
  • Likely shoring up a lot of log/state infrastructure.

Related Objects

StatusAssignedTask
DuplicateNone
OpenNone
Resolvedepriestley
OpenNone
Resolvedepriestley
Resolvedbtrahan
OpenNone
Resolvedhach-que
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
ResolvedNone
OpenNone
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
ResolvedNone
OpenNone

Event Timeline

epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Harbormaster.
epriestley moved this task to v2 on the Harbormaster board.
epriestley added a subscriber: epriestley.

Isn't Phabricator entirely PHP? What is there to build?

Or does this task just mean running "arc unit --everything" on a build server?

It means running arc unit on a build server.

chad added a subscriber: chad.Aug 10 2015, 4:43 PM
elesh added a subscriber: elesh.Aug 10 2015, 6:10 PM
joshuaspence added a subscriber: joshuaspence.

I don't imagine this is in v2, but we could build XHPAST in Harbormaster. This would be good for the unfortunate souls that use Windows.

Is this going to include the ability to build (i.e. lint and test) diffs as well, or is that part of v3?

Since we're pushing everything to staging, I expect that to be covered here.

epriestley moved this task from Backlog to Preflight on the Prioritized board.
epriestley updated the task description. (Show Details)Sep 6 2015, 6:28 PM
eklitzke added a subscriber: eklitzke.
Pawka added a subscriber: Pawka.Sep 11 2015, 1:40 PM

There's some relevant information on the progress on the Drydock side of this here: T9252#138215

vhbit added a subscriber: vhbit.Sep 29 2015, 2:02 PM

We're kinda-sort doing builds for commits now:

We're kinda-sort doing builds for commits now:

Macro yaaay:

Per T9252, we're now building all the repositories and all Community revisions, so the meat of this is working. There are still a lot of pieces that need refinement or generalization, though, or aren't even theoretically useful to installs other than this one for various reasons.

chad added a comment.EditedOct 6 2015, 12:52 AM

mmm meat

epriestley moved this task from Preflight to Paused on the Prioritized board.Oct 10 2015, 1:30 PM
jra3 added a subscriber: jra3.Oct 14 2015, 8:50 PM
ox added a subscriber: ox.Oct 30 2015, 3:50 PM
joshma added a subscriber: joshma.Nov 11 2015, 5:24 AM
dpaola2 added a subscriber: dpaola2.Jan 4 2016, 5:41 PM
epriestley closed this task as Resolved.Mar 3 2016, 11:26 PM
epriestley claimed this task.

Upstream builds have been in production for some time. There's always more work to be done, but I don't think there's anything actionable left here that isn't covered elswhere.

urzds added a subscriber: urzds.Jul 12 2017, 11:12 AM